{"title":"Update picture (v1.0)","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_picture_update/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_picture_update, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_picture_update","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"(v1.0) A picture object in Dynamics 365 Business Central.","date":"2024-05-01","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Update picture (v1.0)","slug":"update-picture-v10","at":0,"chars":1571},{"level":2,"title":"HTTP request","slug":"http-request","at":107,"chars":555},{"level":2,"title":"Request headers (v1.0)","slug":"request-headers-v10","at":662,"chars":265},{"level":2,"title":"Request body (v1.0)","slug":"request-body-v10","at":927,"chars":48},{"level":2,"title":"Response (v1.0)","slug":"response-v10","at":975,"chars":136},{"level":2,"title":"Example (v1.0)","slug":"example-v10","at":1111,"chars":201},{"level":2,"title":"Related information","slug":"related-information","at":1312,"chars":259}],"text":"# Update picture (v1.0)\nUpdates the properties and relationships of a picture object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nPATCH businesscentralPrefix/companies({companyId})/items({itemId})/picture({pictureId})/content\nPATCH businesscentralPrefix/companies({companyId})/vendors({vendorId})/picture({pictureId})/content\nPATCH businesscentralPrefix/companies({companyId})/employees({employeeId})/picture({pictureId})/content\nPATCH businesscentralPrefix/companies({companyId})/customers({customerId})/picture({pictureId})/content\n\n```\n## Request headers (v1.0)\nHeader|Value\nAuthorization|Bearer {token}. Required.\nContent-Type|application/octet-stream\nIf Match|When this request header is included and the eTag provided does not match the current tag on the picture, the picture will not be updated.\n## Request body (v1.0)\nRaw picture binary data.\n## Response (v1.0)\nIf successful, this method returns `204 No Content` response code. It does not return anything in the response body.\n## Example (v1.0)\nRequest\nHere is an example of the request.\n```json\nPATCH https://{businesscentralPrefix}/api/v1.0/companies(companyId)/items(itemId)/picture(itemId)/content\n```\nResponse\nNo response.\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../dynamics_error_codes\n../dynamics_error_codes\n../resources/dynamics_picture\ndynamics_picture_get\nPost Picture<dynamics_create_picture>\ndynamics_picture_delete"}